#!/bin/bash
# Copyright IBM Corp. 2000-2001
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Change Log:
#    Sep 20, 2004 - JC: Created

# Called by: updateWizard.bat as preinstall steps

# Description: change TPM.product to from IF001 level to Bach level

echo check if this system is patched with interim fix one
if [ `grep "1057_33" "$TIO_HOME/properties/version/TPM.product"` ]; then
        OLD="1057_33"
        NEW="1057"
        echo "/$OLD/
        s/$OLD/$NEW/
        wq" | ex "$TIO_HOME/properties/version/TPM.product"
        if [ $? -ne 0 ]; then
                echo must change the level in $TIO_HOME/properties/version/TPM.product to 1057 to apply the fixpack
                exit $LINENO
        fi
        rm -rf "$TIO_HOME/properties/version/history/"*
        if [ $? -ne 0 ]; then
                echo must remove the content in $TIO_HOME/properties/version/history/ to apply the fixpack
                exit $LINENO
	fi
fi

if [ `grep "2.1.1.0" "$TIO_HOME/properties/version/TPM.product"` ]; then
        OLD="2.1.1.0"
        NEW="2.1.0.0"
        echo "/$OLD/
        s/$OLD/$NEW/
        wq" | ex "$TIO_HOME/properties/version/TPM.product"
        if [ $? -ne 0 ]; then
                echo must change the version in $TIO_HOME/properties/version/TPM.product to 2.1.0.0 to apply the fixpack
                exit $LINENO
        fi
fi
