@echo off
REM Copyright IBM Corp. 2000-2001
REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
REM All Rights Reserved * Licensed Materials - Property of IBM
REM US Government Users Restricted Rights - Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM Description: post install script to redeploy TCEAR
REM
REM Change log:
REM      June 22, 2004   JC: created
REM 	 June 27, 2004   JC: add tioadmin into JMSAuthorizationID
REM 	 June 30, 2004   JC: add migration repair part
REM      July 05, 2004   JC: add localeFix in
REM      July 13, 2004   JC: reload all TC drivers
REM      July 15, 2004   JC: patch the schema before installing tc drivers
REM      Aug. 17, 2004   TL: patch log.properties
REM      Oct. 21, 2004   JC: customize DN suffix before redeploying TCEAR
REM      Nov. 04, 2004   JC: reinstall TC drivers from input file
REM Description: master postinstall script
REM
REM
REM

IF "%TC_ROOT%" == "" GOTO missingEnvVariable
IF "%WAS_HOME%" == "" GOTO missingEnvVariable
IF "%TIO_HOME%" == "" GOTO missingEnvVariable

set USERNAME=%1
set PASSWORD=%2

IF "%USERNAME%" == "" GOTO missingParameter
IF "%PASSWORD%" == "" GOTO missingParameter

Echo start of postinstall

echo check if the user is tioadmin
%TC_ROOT%\bin\bash --login -c "id | cut -d ' ' -f1 | grep tioadmin" 
IF %ERRORLEVEL% == 1 GOTO message

:migrationRepair
IF NOT EXIST %TIO_HOME%\properties\version\thinkcontrol.component GOTO JMSAuthority
%TC_ROOT%\bin\bash --login -c "cd $TIO_HOME; find . -type f \( -name '*.sh' -o -name '*.bat' -o -name '*.cmd' -o -name '*.pl' -o -name '*.exp' \) -exec chmod 755 {} \;; chmod -R u+rw,g+r ."
IF %ERRORLEVEL% == 1 GOTO migrationMessage

:JMSAuthority
echo add tioadmin to JMS authority
%TC_ROOT%\bin\bash --login -c "CELL=`echo $HOSTNAME | cut -d '.' -f1`; $TIO_HOME/tools/updateMQAdminUserId.cmd $WAS_HOME $CELL tioadmin"
IF %ERRORLEVEL% == 1 GOTO JMSMessage 

Echo Re-Deploying updated TCEAR 
%TC_ROOT%\bin\bash --login -c "CURRENT_PATH=`cygpath '%~dp0'`; $CURRENT_PATH/update_xmi.sh"
:startWas
call %WAS_HOME%\bin\startServer server1 -username %USERNAME% -password %PASSWORD%

:redeploy
%TC_ROOT%\bin\bash --login -c "$TIO_HOME/tools/was_deploy.sh %USERNAME% %PASSWORD%"

:stopWas
call %WAS_HOME%\bin\stopServer server1 -username %USERNAME% -password %PASSWORD% 

:addLocale
echo Adding the locale tab in configuration
call %TIO_HOME%\tools\localeFix.cmd

:patch schema
echo Patching the schema
%TC_ROOT%\bin\bash --login -c "$TIO_HOME/tools/patch.cmd $TIO_HOME/config/dcm.xml" 

:reload tc drivers
echo Reloading TC drivers
%TC_ROOT%\bin\bash --login -c "$TIO_HOME/tools/custom_tcdrivers.sh install $TIO_HOME/drivers/drivers.txt"

:patch log.properties
echo Patching log.properties
%TC_ROOT%\bin\bash --login -c '$TIO_HOME/tools/patch_log.sh'
GOTO done

:missingEnvVariable
echo undefined environment variable, please ensure the WAS_HOME and TC_ROOT is set
GOTO done

:missingParameter
echo missing parameter. Usage: postinstall [WAS admin user] [WAS admin password] 
GOTO done

:message
echo must be tioadmin to run the postinstall, exiting
GOTO done

:migrationMessage
echo must change files in %TIO_HOME% to be readable, writable, and executable to tioadmin, exiting
GOTO done

:JMSMessage
echo  must run %TIO_HOME%\tools\updateMQAdminUserId.cmd to add tioadmin into JMSAuthorization ID
echo exiting
GOTO done

:done
echo end of [postinstall]
